close all; 
clear all;
clc;
%% SER
maxNumErrs=200;
maxNumBits=10^5;
EsNoVec=-6:1:8;
for n=1:length(EsNoVec)
    EsNo=EsNoVec(n);
    sim('TP03')
    SER_Vec(n,:)=SERQPSK
end

k=2;
EsN1=10.^(EsNoVec/10);
Ps=2*Q(sqrt(EsN1)).*(1-(0.5*Q(sqrt(EsN1))));
figure (1)
semilogy(EsNoVec,SER_Vec(:,1),'--bo');
hold on 
semilogy(EsNoVec,Ps,'r.-');
xlabel('Es/N en db');
ylabel('SER');
title('SER pour la modulation QPSK');
%% BER

EbN0=EsNoVec+10*log(k);
Pb=Ps/k;
BER_Vec=SER_Vec(:,1)/k;
figure(2)
semilogy(EbN0, BER_Vec, 'bo--')
xlabel('Eb/N0(db)');
ylabel('BER');
title('BER pour la modulation QPSK');
hold on
semilogy(EbN0,Pb,'r.-')
